org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlCast

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression
      - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlCast

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlCast
      extends CsdlDynamicExpression
      implements CsdlAnnotatable

  Represents an edm:Cast expression. Casts the value obtained from its single child expression to the specified type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlCast()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `Integer` | `getMaxLength()` Returns the facet attribute MaxLength
    `Integer` | `getPrecision()` Returns the facet attribute Precision
    `Integer` | `getScale()` Returns the facet attribute Scale
    `SRID` | `getSrid()` Returns the facet attribute SRID
    `String` | `getType()` Value cast to
    `CsdlExpression` | `getValue()` Cast value of the expression
    `int` | `hashCode()`
    `CsdlCast` | `setAnnotations(List<CsdlAnnotation> annotations)`
    `CsdlCast` | `setMaxLength(Integer maxLength)`
    `CsdlCast` | `setPrecision(Integer precision)`
    `CsdlCast` | `setScale(Integer scale)`
    `CsdlCast` | `setSrid(SRID srid)`
    `CsdlCast` | `setType(String type)`
    `CsdlCast` | `setValue(CsdlExpression value)`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression

      `asAnnotationPath, asApply, asCast, asCollection, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLogicalOrComparison, asNavigationPropertyPath, asNull, asPath, asPropertyPath, asRecord, asUrlRef, isAnnotationPath, isApply, isCast, isCollection, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLogicalOrComparison, isNavigationPropertyPath, isNull, isPath, isPropertyPath, isRecord, isUrlRef`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlCast

          public CsdlCast()

  - ### Method Detail

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlCast setAnnotations(List<CsdlAnnotation> annotations)

    - #### getType

          public String getType()

      Value cast to
      Returns:
        value cast to

    - #### setType

          public CsdlCast setType(String type)

    - #### getMaxLength

          public Integer getMaxLength()

      Returns the facet attribute MaxLength
      Returns:
        Returns the facet attribute MaxLength

    - #### setMaxLength

          public CsdlCast setMaxLength(Integer maxLength)

    - #### getPrecision

          public Integer getPrecision()

      Returns the facet attribute Precision
      Returns:
        Returns the facet attribute Precision

    - #### setPrecision

          public CsdlCast setPrecision(Integer precision)

    - #### getScale

          public Integer getScale()

      Returns the facet attribute Scale
      Returns:
        Returns the facet attribute Scale

    - #### setScale

          public CsdlCast setScale(Integer scale)

    - #### getSrid

          public SRID getSrid()

      Returns the facet attribute SRID
      Returns:
        Returns the facet attribute SRID

    - #### setSrid

          public CsdlCast setSrid(SRID srid)

    - #### getValue

          public CsdlExpression getValue()

      Cast value of the expression
      Returns:
        Cast value

    - #### setValue

          public CsdlCast setValue(CsdlExpression value)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.